plot,amsr-method {oce} | R Documentation

## Plot an amsr Object

### Description

Plot an amsr Object

### Usage

    ## S4 method for signature 'amsr'
    plot(x, y, asp, debug = getOption("oceDebug"), ...)

### Arguments

`x` | An object inherting from `amsr-class`.
`y` | String indicating the name of the band to plot; if not provided, `SST` is used; see `amsr-class` for a list of bands.
`asp` | Optional aspect ratio for plot.
`debug` | A debugging flag, integer.
`...` | extra arguments passed to `imagep`, e.g. set `col` to control colours.

### Author(s)

Dan Kelley

### See Also

Other functions dealing with satellite data: `[[,landsat-method`, `amsr-class`, `g1sst-class`, `landsatAdd`, `landsatTrim`, `plot,landsat-method`, `plot,satellite-method`, `read.amsr`, `read.g1sst`, `read.landsat`, `satellite-class`, `summary,amsr-method`, `summary,landsat-method`, `summary,satellite-method`

### Examples

    ## Not run:
    d <- read.amsr("f34_20160102v7.2.gz")
    asp <- 1/cos(pi*40/180)
    plot(d, "SST", col=oceColorsJet, xlim=c(-80,0), ylim=c(20,60), asp=asp)
    data(coastlineWorldMedium, package="ocedata")
    lines(coastlineWorldMedium[['longitude']], coastlineWorldMedium[['latitude']])

    ## End(Not run)

[Package oce version 0.9-18 Index]